Update a network tier of a VPC
Updates the name and/or description of a network tier.
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
id
ID of the VPC that contains the tier
tierId
ID of the network tier to update
Request
This endpoint expects an object.
name
New name for the tier.
description
New description for the tier.
Response
The updated network tier
id
Unique identifier for the tier
name
Name of the tier
description
Description of the tier
cidr
CIDR of the tier
gateway
Gateway IP address
netmask
Netmask of the tier
status
Network status
Allowed values:
region
Region where the tier is located
vpcId
Identifier of the VPC that contains this tier
aclId
Identifier of the ACL applied to this tier. Absent when no custom ACL is attached.
aclName
Name of the ACL applied to this tier. Absent when no custom ACL is attached.
createdAt
Tier creation date
vpcName
Name of the VPC that contains this tier
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error